Package org.apache.commons.math3.linear

# Interface SparseRealMatrix

All Superinterfaces:
  `AnyMatrix`, `RealMatrix`

All Known Implementing Classes:
  `OpenMapRealMatrix`

public interface SparseRealMatrix extends RealMatrix
Marker interface for `RealMatrix` implementations that require sparse backing storage

Caveat: Implementation are allowed to assume that, for any `x`, the equality `x * 0d == 0d` holds. But it is is not true for `NaN`. Moreover, zero entries will lose their sign. Some operations (that involve `NaN` and/or infinities) may thus give incorrect results.

Since:
  2.0

## Method Summary

### Methods inherited from interface org.apache.commons.math3.linear.AnyMatrix

`getColumnDimension, getRowDimension, isSquare`

### Methods inherited from interface org.apache.commons.math3.linear.RealMatrix

`add, addToEntry, copy, copySubMatrix, copySubMatrix, createMatrix, getColumn, getColumnMatrix, getColumnVector, getData, getEntry, getFrobeniusNorm, getNorm, getRow, getRowMatrix, getRowVector, getSubMatrix, getSubMatrix, getTrace, multiply, multiplyEntry, operate, operate, power, preMultiply, preMultiply, preMultiply, scalarAdd, scalarMultiply, setColumn, setColumnMatrix, setColumnVector, setEntry, setRow, setRowMatrix, setRowVector, setSubMatrix, subtract, transpose, walkInColumnOrder, walkInColumnOrder, walkInColumnOrder, walkInColumnOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInRowOrder, walkInRowOrder, walkInRowOrder, walkInRowOrder`